lirc.database.Config Class Reference
python configuration database

The configuration selected, and it's sources. More...

Inheritance diagram for lirc.database.Config:

## Public Member Functions

def | __init__ (self, cf=None)
def | note (self)
| The possible note to display when selected. More...

## Public Attributes

| device
| driver
| selected device. More...
| config
| Read-only driver dict in db.
| modinit
| Read-only config dict in db.
| modprobe
| Substituted data from driver.
| lircd_conf
| Substituted data from driver.
| lircmd_conf
| Name of lircd.conf file.
| label
| Name of lircmd.conf file.

## Detailed Description

The configuration selected, and it's sources.

Definition at line 96 of file database.py.

## Member Function Documentation

## note()

def lirc.database.Config.note | ( |  | self | ) |

The possible note to display when selected.

Definition at line 114 of file database.py.

## Member Data Documentation

## driver

lirc.database.Config.driver

selected device.

Definition at line 101 of file database.py.

The documentation for this class was generated from the following file:

- /home/mk/tmp/lirc/python-pkg/lirc/database.py (ba530e4 2017-01-22 19:05:53 +0100)